Search Results for

Show / Hide Table of Contents

# Class DynamicStatusBar.DynamicStatusBarDetails

##### Inheritance

System.Object
Responder
View
FrameView
DynamicStatusBar.DynamicStatusBarDetails

##### Implements

System.IDisposable
System.ComponentModel.ISupportInitializeNotification
System.ComponentModel.ISupportInitialize

##### Inherited Members

FrameView.Title
FrameView.Border
FrameView.Add(View)
FrameView.Remove(View)
FrameView.RemoveAll()
FrameView.Redraw(Rect)
FrameView.Text
FrameView.TextAlignment
FrameView.OnEnter(View)
FrameView.OnCanFocusChanged()
View.Added
View.Removed
View.Enter
View.Leave
View.MouseEnter
View.MouseLeave
View.MouseClick
View.CanFocusChanged
View.EnabledChanged
View.VisibleChanged
View.HotKeyChanged
View.HotKey
View.HotKeySpecifier
View.Shortcut
View.ShortcutTag
View.ShortcutAction
View.Data
View.Driver
View.Subviews
View.TabIndexes
View.TabIndex
View.TabStop
View.CanFocus
View.Id
View.IsCurrentTop
View.WantMousePositionReports
View.WantContinuousButtonPressed
View.Frame
View.LayoutStyle
View.Bounds
View.X
View.Y
View.Width
View.Height
View.SuperView
View.SetNeedsDisplay()
View.ClearLayoutNeeded()
View.SetNeedsDisplay(Rect)
View.SetChildNeedsDisplay()
View.Add(View[])
View.BringSubviewToFront(View)
View.SendSubviewToBack(View)
View.SendSubviewBackwards(View)
View.BringSubviewForward(View)
View.Clear()
View.Clear(Rect)
View.ScreenToView(Int32, Int32)
View.ClipToBounds()
View.SetClip(Rect)
View.DrawFrame(Rect, Int32, Boolean)
View.DrawHotString(ustring, Attribute, Attribute)
View.DrawHotString(ustring, Boolean, ColorScheme)
View.Move(Int32, Int32, Boolean)
View.PositionCursor()
View.HasFocus
View.OnAdded(View)
View.OnRemoved(View)
View.OnLeave(View)
View.Focused
View.MostFocused
View.ColorScheme
View.AddRune(Int32, Int32, Rune)
View.ClearNeedsDisplay()
View.DrawContent
View.OnDrawContent(Rect)
View.DrawContentComplete
View.OnDrawContentComplete(Rect)
View.SetFocus()
View.KeyPress
View.ProcessKey(KeyEvent)
View.InvokeKeybindings(KeyEvent)
View.AddKeyBinding(Key, Command)
View.ReplaceKeyBinding(Key, Key)
View.ContainsKeyBinding(Key)
View.ClearKeybindings()
View.ClearKeybinding(Key)
View.ClearKeybinding(Command)
View.AddCommand(Command, Func<Nullable<Boolean>>)
View.GetSupportedCommands()
View.GetKeyFromCommand(Command)
View.ProcessHotKey(KeyEvent)
View.ProcessColdKey(KeyEvent)
View.KeyDown
View.OnKeyDown(KeyEvent)
View.KeyUp
View.OnKeyUp(KeyEvent)
View.EnsureFocus()
View.FocusFirst()
View.FocusLast()
View.FocusPrev()
View.FocusNext()
View.LayoutStarted
View.LayoutComplete
View.Initialized
View.LayoutSubviews()
View.AutoSize
View.VerticalTextAlignment
View.TextDirection
View.IsInitialized
View.Enabled
View.Visible
View.ToString()
View.OnMouseEnter(MouseEvent)
View.OnMouseLeave(MouseEvent)
View.OnMouseEvent(MouseEvent)
View.OnMouseClick(View.MouseEventArgs)
View.OnEnabledChanged()
View.OnVisibleChanged()
View.Dispose(Boolean)
View.BeginInit()
View.EndInit()
View.SetWidth(Int32, Int32)
View.SetHeight(Int32, Int32)
View.GetCurrentWidth(Int32)
View.GetCurrentHeight(Int32)
View.GetNormalColor()
View.GetTopSuperView()
Responder.MouseEvent(MouseEvent)
Responder.Dispose()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: UICatalog.Scenarios

###### Assembly: UICatalog.dll

##### Syntax

    public class DynamicStatusBarDetails : FrameView, IDisposable, ISupportInitializeNotification, ISupportInitialize

### Constructors

#### DynamicStatusBarDetails(ustring)

##### Declaration

    public DynamicStatusBarDetails(ustring title)

##### Parameters

Type | Name | Description
--- | --- | ---
NStack.ustring | title |

#### DynamicStatusBarDetails(StatusItem)

##### Declaration

    public DynamicStatusBarDetails(StatusItem statusItem = null)

##### Parameters

Type | Name | Description
--- | --- | ---
StatusItem | statusItem |

### Fields

#### _statusItem

##### Declaration

    public StatusItem _statusItem

##### Field Value

Type | Description
--- | ---
StatusItem |

#### _txtAction

##### Declaration

    public TextView _txtAction

##### Field Value

Type | Description
--- | ---
TextView |

#### _txtShortcut

##### Declaration

    public TextField _txtShortcut

##### Field Value

Type | Description
--- | ---
TextField |

#### _txtTitle

##### Declaration

    public TextField _txtTitle

##### Field Value

Type | Description
--- | ---
TextField |

### Methods

#### CreateAction(DynamicStatusBar.DynamicStatusItem)

##### Declaration

    public Action CreateAction(DynamicStatusBar.DynamicStatusItem item)

##### Parameters

Type | Name | Description
--- | --- | ---
DynamicStatusBar.DynamicStatusItem | item |

##### Returns

Type | Description
--- | ---
System.Action |

#### EditStatusItem(StatusItem)

##### Declaration

    public void EditStatusItem(StatusItem statusItem)

##### Parameters

Type | Name | Description
--- | --- | ---
StatusItem | statusItem |

#### EnterStatusItem()

##### Declaration

    public DynamicStatusBar.DynamicStatusItem EnterStatusItem()

##### Returns

Type | Description
--- | ---
DynamicStatusBar.DynamicStatusItem |

### Implements

System.IDisposable
System.ComponentModel.ISupportInitializeNotification
System.ComponentModel.ISupportInitialize